Sync opus 1.3~beta+20180518-1 (main) from Debian sid (main)

Bug #1771981 reported by Oibaf
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
opus (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync opus 1.3~beta+20180518-1 (main) from Debian sid (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * Merge with Debian; remaining changes:
    - Convert to Debhelper 9 with a simpler rules file.
    - Build using dh-autoreconf.
    - Add a watch file.
    - debian/control: close some Lintian errors.
      - Pre-depend on multiarch-support.
      - Add ${misc:Depends} to package dependencies.
    - Convert to debian source format 3.0 (quilt).
    - Run the tests.

This release brings a lot of quality improvemets since the very old 1.1.2
upstream release in Ubuntu.

The Debian changelog has this explanation about debian bug #810258, which had
the Ubuntu changes being dropped.

  * Use dh compat 9, not because it actually brings anything new which we need
    here, but it hushes the increasingly insistent warnings about deprecated
    compat levels, and is a baseline supported by all of the releases we still
    need to be able to support. I'm going to say this Closes: #810258, since
    the rest of the 'modernisation' there mostly isn't helpful. We've already
    been running the tests since the very first release, we release directly
    from upstream git and maintain upstream patches there, so format 3(quilt)
    adds nothing but pain, and we have upstream build and install targets that
    are designed to cleanly separate the -arch specific and -indep components,
    so regressing to make those codependent isn't very appealing either. It
    would have also broken support for building where m-a wasn't supported,
    though that's less of a problem today than it was previously.

Thanks.

Changelog entries since current cosmic version 1.1.2-1ubuntu1:

opus (1.3~beta+20180518-1) unstable; urgency=medium

  * Fix the CELT input NaN test.

 -- Ron Lee <email address hidden> Fri, 18 May 2018 05:04:27 +0930

opus (1.3~beta+20180516-1) unstable; urgency=medium

  * Snapshot from 652c4559f593d3aad78bd5c85a216eeae7859429 as a preview of
    patches pending for the 1.3 release. The main motivation for doing this
    now is to pull in the fix for the PLC regression introduced just before
    1.2~alpha2, which Closes: #898690, and to get some broader testing on the
    new hardening checks before flipping the switch to enable those by default
    upstream.
  * Fix celt_pitch_xcorr() ARM jump table compiling error for a bug introduced
    in 1.2-rc1.
  * Better rate allocation for stereo SILK in hybrid mode.
  * Add RNN for VAD and speech/music classification.
  * Fixing bandwidth detection for 24 kHz analysis.
  * Enable RFC 8251 changes by default.
  * Better tuning for low-bitrate music.
  * Don't set _FORTIFY_SOURCE and -fstack-protector as part of the packaging
    anymore, the upstream build system will add them where they are supported
    and needed now.
  * Build with --enable-hardening, which isn't related to the compile options
    above, but instead includes additional opus-specific runtime sanity checks
    which are cheap and certain enough to use in production builds.
  * Use dh compat 9, not because it actually brings anything new which we need
    here, but it hushes the increasingly insistent warnings about deprecated
    compat levels, and is a baseline supported by all of the releases we still
    need to be able to support. I'm going to say this Closes: #810258, since
    the rest of the 'modernisation' there mostly isn't helpful. We've already
    been running the tests since the very first release, we release directly
    from upstream git and maintain upstream patches there, so format 3(quilt)
    adds nothing but pain, and we have upstream build and install targets that
    are designed to cleanly separate the -arch specific and -indep components,
    so regressing to make those codependent isn't very appealing either. It
    would have also broken support for building where m-a wasn't supported,
    though that's less of a problem today than it was previously.

 -- Ron Lee <email address hidden> Thu, 17 May 2018 16:07:39 +0930

opus (1.2.1-1) unstable; urgency=medium

  * Fixes a bug in surround encoding causing very bad quality on loud signals
    beyond a certain amplitude.
  * Speech quality improvements especially in the 12-24 kbit/s range.
  * Music quality improvements in the 32-48 kb/s range.
  * More aggressive use of wider speech bandwidth, including fullband speech
    starting at 14 kbit/s.
  * Improved VBR encoding for hybrid mode.
  * SILK CBR improvements.
  * DTX support for CELT mode.
  * Support for directly encoding packets up to 120 ms.
  * Improves quality on files with powerful tones that cause MDCT leakage.
  * Fixes for speech/music detection at the very beginning of files.
  * Fixes an issue where the encoder can misdetect that the signal is SWB
    instead of FB, lowpassing the signal.

 -- Ron Lee <email address hidden> Thu, 28 Sep 2017 01:48:45 +0930

opus (1.2~alpha2-1) unstable; urgency=medium

  * Run the tonality analysis at 24 kHz, which reduces complexity while giving
    better frequency resolution for the tonality estimate.
  * Speech quality improvements especially in the 12-20 kbit/s range.
  * Improved VBR encoding for hybrid mode.
  * More aggressive use of wider speech bandwidth, including fullband speech
    starting at 14 kbit/s.
  * Music quality improvements in the 32-48 kb/s range.
  * Generic and SSE CELT optimizations.
  * Support for directly encoding packets up to 120 ms.
  * DTX support for CELT mode.
  * SILK CBR improvements.
  * Ensure that NLSF cannot be negative when computing a min distance between
    them. This was reported and fixed in July, and assessed as having only a
    relatively minor impact (garbage output, from the garbage input needed to
    trigger it), or at very worst, an assertion failure or simple crash from
    a slightly out of bounds read. In December it was assigned CVE-2017-0381
    by someone other than the upstream developers, with claims of it being a
    'Critical' issue on Android, but we're yet to see any analysis to back
    that up. Closes: #851612

 -- Ron Lee <email address hidden> Fri, 20 Jan 2017 02:48:31 +1030

opus (1.1.3-1) unstable; urgency=medium

  * Remove the generation date from the docs to improve reproducible builds.
    Closes: #825345
  * Fixes some corner cases with the soft clipper.
  * Improve CBR and some other issues seen with using crazy low rates.
  * More robustness fixes for reporting bad input.
  * More optimisations, mostly for ARM.
  * More precision fixes for edge cases.
  * Fixes to comfort noise generation.

 -- Ron Lee <email address hidden> Thu, 27 Oct 2016 23:58:06 +1030

CVE References

Revision history for this message
Jeremy Bicha (jbicha) wrote :

Matthias, since you've done "recent" merges for this package, what do you think about syncing here?

tags: added: cosmic upgrade-software-version
Revision history for this message
Sebastien Bacher (seb128) wrote :
Download full text (4.9 KiB)

This bug was fixed in the package opus - 1.3~beta+20180518-1
Sponsored for Oibaf (oibaf)

---------------
opus (1.3~beta+20180518-1) unstable; urgency=medium

  * Fix the CELT input NaN test.

 -- Ron Lee <email address hidden> Fri, 18 May 2018 05:04:27 +0930

opus (1.3~beta+20180516-1) unstable; urgency=medium

  * Snapshot from 652c4559f593d3aad78bd5c85a216eeae7859429 as a preview of
    patches pending for the 1.3 release. The main motivation for doing this
    now is to pull in the fix for the PLC regression introduced just before
    1.2~alpha2, which Closes: #898690, and to get some broader testing on the
    new hardening checks before flipping the switch to enable those by default
    upstream.
  * Fix celt_pitch_xcorr() ARM jump table compiling error for a bug introduced
    in 1.2-rc1.
  * Better rate allocation for stereo SILK in hybrid mode.
  * Add RNN for VAD and speech/music classification.
  * Fixing bandwidth detection for 24 kHz analysis.
  * Enable RFC 8251 changes by default.
  * Better tuning for low-bitrate music.
  * Don't set _FORTIFY_SOURCE and -fstack-protector as part of the packaging
    anymore, the upstream build system will add them where they are supported
    and needed now.
  * Build with --enable-hardening, which isn't related to the compile options
    above, but instead includes additional opus-specific runtime sanity checks
    which are cheap and certain enough to use in production builds.
  * Use dh compat 9, not because it actually brings anything new which we need
    here, but it hushes the increasingly insistent warnings about deprecated
    compat levels, and is a baseline supported by all of the releases we still
    need to be able to support. I'm going to say this Closes: #810258, since
    the rest of the 'modernisation' there mostly isn't helpful. We've already
    been running the tests since the very first release, we release directly
    from upstream git and maintain upstream patches there, so format 3(quilt)
    adds nothing but pain, and we have upstream build and install targets that
    are designed to cleanly separate the -arch specific and -indep components,
    so regressing to make those codependent isn't very appealing either. It
    would have also broken support for building where m-a wasn't supported,
    though that's less of a problem today than it was previously.

 -- Ron Lee <email address hidden> Thu, 17 May 2018 16:07:39 +0930

opus (1.2.1-1) unstable; urgency=medium

  * Fixes a bug in surround encoding causing very bad quality on loud signals
    beyond a certain amplitude.
  * Speech quality improvements especially in the 12-24 kbit/s range.
  * Music quality improvements in the 32-48 kb/s range.
  * More aggressive use of wider speech bandwidth, including fullband speech
    starting at 14 kbit/s.
  * Improved VBR encoding for hybrid mode.
  * SILK CBR improvements.
  * DTX support for CELT mode.
  * Support for directly encoding packets up to 120 ms.
  * Improves quality on files with powerful tones that cause MDCT leakage.
  * Fixes for speech/music detection at the very beginning of files.
  * Fixes an issue where the encoder can misdetect that the signal is SWB
    inst...

Read more...

Changed in opus (Ubuntu):
importance: Undecided → Wishlist
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers